/*
 Δραστηριότητα 1.11
 Προγραμματισμός αισθητήρα παρακολούθησης γραμμής και οπτική ειδοποίηση
*/
int L_pin = 6;            // καρφίτσες του αριστερού αισθητήρα παρακολούθησης γραμμής
int M_pin = 7;            // καρφίτσες του μεσαίου αισθητήρα παρακολούθησης γραμμής
int R_pin = 8;            // καρφίτσες του δεξιού αισθητήρα παρακολούθησης γραμμής
int val_L, val_R, val_M;  // ορίστε τις μεταβλητές τριών αισθητήρων
void setup() {
  Serial.begin(9600);     // αρχικοποιήστε την σειριακή επικοινωνία σε 9600 bit ανά δευτερόλεπτο
  pinMode(L_pin, INPUT);  // ορίστε τον ακροδέκτη L_pin ως είσοδο
  pinMode(M_pin, INPUT);  // ορίστε τον ακροδέκτη M_pin ως είσοδο
  pinMode(R_pin, INPUT);  // ορίστε τον ακροδέκτη R_pin ως είσοδο
  pinMode(3, OUTPUT);
}
void loop() {
  val_L = digitalRead(L_pin);  // ανάγνωση του L_pin
  val_M = digitalRead(M_pin);  // ανάγνωση του M_pin
  val_R = digitalRead(R_pin);  // ανάγνωση του R_pin
  Serial.print("left:");
  Serial.print(val_L);
  Serial.print(" middle:");
  Serial.print(val_M);
  Serial.print(" right:");
  Serial.println(val_R);

  if (val_L == HIGH)  // εάν ο αριστερός αισθητήρας παρακολούθησης γραμμής ανιχνεύσει σήματα
  {
    digitalWrite(3, LOW);  // LED σβήνει
  } else                   // εάν ο αριστερός αισθητήρας παρακολούθησης γραμμής δεν ανιχνεύει σήματα
  {
    digitalWrite(3, HIGH);  // LED ανάβει
    delay(2000);
  }

  if (val_M == HIGH)  // εάν ο μεσαίος αισθητήρας παρακολούθησης γραμμής ανιχνεύει σήματα
  {
    digitalWrite(3, LOW);  // LED σβήνει
  } else                   // εάν ο μεσαίος αισθητήρας παρακολούθησης γραμμής δεν ανιχνεύει σήματα
  {
    digitalWrite(3, HIGH);  // LED ανάβει
    delay(2000);
  }

  if (val_R == HIGH)  // εάν ο δεξιός αισθητήρας παρακολούθησης γραμμής ανιχνεύει σήματα
  {
    digitalWrite(3, LOW);  // LED σβήνει
  } else                   // εάν ο δεξιός αισθητήρας παρακολούθησης γραμμής δεν ανιχνεύει σήματα
  {
    digitalWrite(3, HIGH);  // LED ανάβει
    delay(2000);
  }
}
//****************************************************************************