/*
 Δραστηριότητα 1.47
 Έλεγχος Σερβοκινητήρων μέσω Bluetooth (3)
*/
#include <Servo.h>
Servo myservo1;

int k1 = 90;  //Αρχικοποίηση της τιμής της γωνίας σερβοκινητήρα 1

void setup() {
  Serial.begin(9600);  
  myservo1.attach(11);
  myservo1.write(k1);
  delay(1000);
}

void loop() {
  if (Serial.available() > 0) {  //Λήψη σημάτων Bluetooth
    switch (Serial.read()) {

      case 'Q':
        while ('Q') {  // Η δαγκάνα ανοίγει
          servo1on();
          if (Serial.read() == 's') break;
        }
        break;
      case 'E':
        while ('E') {  // Η δαγκάνα κλείνει
          servo1off();
          if (Serial.read() == 's') break;
        }
        break;
    }
  }
}

void servo1on() {
  myservo1.write(k1);
  k1 -= 1;
  delay(5);
  if (k1 < 20) k1 = 20;
}
void servo1off() {
  myservo1.write(k1);
  k1 += 1;
  delay(5);
  if (k1 > 90) k1 = 90;
}