/*
 Δραστηριότητα 1.7
 Προγραμματισμός αισθητήρα υπερήχων
*/

int trigPin = 12;  // Trigger
int echoPin = 13;  // Echo
long duration, cm, inches;

void setup() {
  //Έναρξη σειριακής θύρας
  Serial.begin(9600);
  //Ορίστε εισόδους και εξόδους
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
}

void loop() {
  // Ο αισθητήρας ενεργοποιείται από υψηλό παλμό (HIGH) 10 ή περισσότερων μικροδευτερόλεπτων (ms).
  // Δώστε έναν σύντομο χαμηλό παλμό (LOW) εκ των προτέρων για να εξασφαλίσετε έναν καθαρό υψηλό παλμό (HIGH):
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  // Διαβάστε το σήμα από τον αισθητήρα: ένας υψηλός παλμός (HIGH) του οποίου
  // η διάρκεια είναι ο χρόνος (σε μικροδευτερόλεπτα) από την αποστολή
  // του ping στη λήψη της ηχώ του (Echo) από ένα αντικείμενο.
  duration = pulseIn(echoPin, HIGH);
  // Μετατρέψτε το χρόνο σε απόσταση
  cm = (duration / 2) / 29.1;    // Διαιρέστε με 29.1 ή πολλαπλασιάστε με 0.0343
  inches = (duration / 2) / 74;  // Διαιρέστε με 74 ή πολλαπλασιάστε με 0.0135
  Serial.print(inches);
  Serial.print("in, ");
  Serial.print(cm);
  Serial.print("cm");
  Serial.println();
  delay(50);
}