/*
 Δραστηριότητα 1.15
 Τηλεχειριστήριο IR και LED
*/
#include <IRremote.h>
int RECV_PIN = A0;  // Ο δέκτης IR είναι συνδεδεμένος στο A0
int LED_PIN = 3;    // Ορίζει τον ακροδέκτη του LED ώς τον ακροδέκτη 3 (D3).
int a = 0;          // Αρχικοποίηση της κατάστασης του LED, 0 = σβηστό

void setup() {
  Serial.begin(9600);
  IrReceiver.begin(RECV_PIN);  // Αρχικοποίηση του δέκτη IR
  pinMode(LED_PIN, OUTPUT);    // ορίζει τον ακροδέκτη 3 του LED σε OUTPUT
}

void loop() {
  if (IrReceiver.decode()) {
    if (IrReceiver.decodedIRData.command == 64 & a == 0)  // σύμφωνα με την παραπάνω τιμή του πλήκτρου, πατήστε "OK" στο τηλεχειριστήριο, το LED θα ελεγχθεί.
    {
      digitalWrite(LED_PIN, HIGH);  // Το LED θα ανάψει
      a = 1;
    } else if (IrReceiver.decodedIRData.command == 64 & a == 1)  // αν πατηθεί το κουμπί "ΟΚ" ξανά
    {
      digitalWrite(LED_PIN, LOW);  // Το LED θα σβήσει
      a = 0;
    }
    IrReceiver.resume();  // λαμβάνει την επόμενη τιμή
    delay(100);
  }
}
//*******************************************************
