/*
 Δραστηριότητα 1.20
 Τηλεχειριστήριο Bluetooth και Έλεγχος Βομβητή
*/
int BUZZER_PIN = 2;
bool buzzerState = false;  // μεταβλητή κατάστασης του Buzzer
int buzzerSpeed = 1;       // αρχική ταχύτητα του Buzzer
int freq = 0;

void setup() {
  Serial.begin(9600);
  pinMode(BUZZER_PIN, OUTPUT);
}

void loop() {
  if (Serial.available())
  {
    char i = Serial.read();
    Serial.println("DATA RECEIVED: " + String(i));

    if (i == 'F')
    {
      buzzerSpeed -= 1;
      if (buzzerSpeed < 1) buzzerSpeed = 1;

      Serial.println("Buzzer speed  " + buzzerSpeed);
      Serial.println("Buzzer speed increased");
    }

    if (i == 'B')
    {
      buzzerSpeed += 1;
      if (buzzerSpeed > 3) buzzerSpeed = 3;

      Serial.println("Buzzer speed  " + buzzerSpeed);
      Serial.println("Buzzer speed decreased");
    }

    if (i == 'L')
    {
      buzzerState = true;
      digitalWrite(BUZZER_PIN, HIGH);
      Serial.println("Buzzer turned on");
    }

    if (i == 'R')
    {
      buzzerState = false;
      digitalWrite(BUZZER_PIN, LOW);
      Serial.println("Buzzer turned off");
    }
  }

  if (buzzerState) {
    for (int i = 0; i < 80; i++)  // παραγωγή ήχου συχνότητας
    {
      digitalWrite(BUZZER_PIN, HIGH);  // ακούγεται
      delay(1);                        // καθυστέρηση 1 ms
      digitalWrite(BUZZER_PIN, LOW);   // δεν ακούγεται
      delay(2);                        // καθυστέρηση 2 ms
    }
    for (int i = 0; i < 100; i++)  // παραγωγή ήχου συχνότητας
    {
      digitalWrite(BUZZER_PIN, HIGH);  // ακούγεται
      digitalWrite(BUZZER_PIN, LOW);   // δεν ακούγεται
      delay(buzzerSpeed);              // καθυστέρηση
    }
  }
}
