/*
Δραστηριότητα 1.4
Έλεγχος Σερβοκινητήρα βάσης (Σερβοκινητήρας 3)
*/
#define servoPin 9  // ακροδέκτης σερβοκινητήρα 9 είναι η βάση του βραχίoνα
int pos;            // μεταβλητή γωνίας του σερβοκινητήρα
int pulsewidth;     // μεταβλητή εύρους παλμού του σερβοκινητήρα

void setup() {
  pinMode(servoPin, OUTPUT);  // ορίζει τους ακροδέκτες του σερβοκινητήρα ως έξοδο (OUTPUT)
  procedure(0);               // ορίζει τη γωνία του σερβοκινητήρα σε 0°
}

void loop() {

  for (pos = 0; pos <= 180; pos += 1) {  // από 0 μοίρες έως 180 μοίρες
    // σε βήματα του 1 βαθμού
    procedure(pos);  // λέει στον σερβοκινητήρα να πάει στη θέση που αναφέρεται στη μεταβλητή 'pos'
    delay(15);       // έλεγχος της ταχύτητας περιστροφής του σερβοκινητήρα
  }
  for (pos = 180; pos >= 0; pos -= 1) {  // από 180 μοίρες έως 0 μοίρες
    procedure(pos);                      // λέει στον σερβοκινητήρα να πάει στη θέση που αναφέρεται στη μεταβλητή 'pos'
    delay(15);
  }
}

// Function για τον έλεγχο του σερβο
void procedure(int myangle) {
  pulsewidth = myangle * 11 + 500;  // Υπολογισμός τιμής εύρους παλμού
  digitalWrite(servoPin, HIGH);
  delayMicroseconds(pulsewidth);  // η διάρκεια του υψηλού επιπέδου είναι το εύρος παλμού
  digitalWrite(servoPin, LOW);
  delay((20 - pulsewidth / 1000));  // η περίοδος είναι 20ms, οπότε το χαμηλό επίπεδο διαρκεί για το υπόλοιπο του χρόνου
*