/*
 Δραστηριότητα 1.46
 Έλεγχος Σερβοκινητήρων μέσω Bluetooth (2)
*/
#include <Servo.h>
Servo myservo2;
int k2 = 120;  // Αρχικοποίηση της τιμής της γωνίας σερβοκινητήρα 2

void setup() {
  Serial.begin(9600);
  myservo2.attach(10);
  myservo2.write(k2);
  delay(1000);
}

void loop() {
  if (Serial.available() > 0) {  // Λήψη σημάτων Bluetooth
    switch (Serial.read()) {
      case 'f':
        while ('f') {  // Ο βραχίoνας ανυψώνεται
          servo2up();
          if (Serial.read() == 's') break;
        }
        break;
      case 'b':
        while ('b') {  // Ο βραχίoνας χαμηλώνει
          servo2down();
          if (Serial.read() == 's') break;
        }
        break;
    }
  }
}

void servo2up() {
  myservo2.write(k2);  // Περιστροφή προς Κ2
  k2 += 1;
  delay(10);
  if (k2 > 120) k2 = 120;  // Μέγιστη περιστροφή 120°
}
void servo2down() {
  myservo2.write(k2);  // Περιστροφή προς Κ2
  k2 -= 1;
  delay(10);
  if (k2 < 10) k2 = 10;  // Ελάχιστη περιστροφή 10°
}
