/*
Δραστηριότητα 1.5.1
Προγραμματισμός Ελέγχου Σερβοκινητήρα βραχίονα (Σερβοκινητήρας 2) με βιβλιοθήκες
*/
#include <Servo.h>  // Βιβλιοθήκη για τη χρήση των σερβοκινητήρων
Servo myservo;      //δημιουργία αντικειμένου σερβοκινητήρα για τον έλεγχο ενός σερβοκινητήρα
// Δώδεκα αντικείμενα σερβοκινητήρα μπορούν να δημιουργηθούν στις περισσότερες πλακέτες
int pos = 0;  // μεταβλητή για την αποθήκευση της θέσης του σερβοκινητήρα

void setup() {
  myservo.attach(10);  // συνδέει τον σερβοκινητήρα στον ακροδέκτη 10 με το αντικείμενο του σερβοκινητήρα
}

void loop() {
  for (pos = 0; pos <= 180; pos += 1) {  // από 0 μοίρες έως 180 μοίρες
    // σε βήματα του 1 βαθμού
    myservo.write(pos);  // λέει στον σερβοκινητήρα να πάει στη θέση που αναφέρεται στη μεταβλητή 'pos'
    delay(15);           // περιμένει 15ms για να φτάσει ο σερβοκινητήρας στη θέση
  }
  for (pos = 180; pos >= 0; pos -= 1) {  // από 180 μοίρες έως 0 μοίρες
    myservo.write(pos);                  // λέει στον σερβοκινητήρα να πάει στη θέση που αναφέρεται στη μεταβλητή 'pos'
    delay(15);                           //περιμένει 15ms για να φτάσει ο σερβοκινητήρας στη θέση
  }
}
